## ros-indigo-rocon-apps 0.7.13

=== CMakeLists.txt ===
##############################################################################
# CMake
##############################################################################

cmake_minimum_required(VERSION 2.8.3)
project(rocon_apps)

##############################################################################
# Catkin
##############################################################################

find_package(catkin REQUIRED)
catkin_package()

catkin_python_setup()

##############################################################################
# Installs
##############################################################################

install(DIRECTORY apps
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(DIRECTORY chirp_apps
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(DIRECTORY sounds
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(DIRECTORY icons
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(DIRECTORY launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(PROGRAMS
    scripts/chirp.bash
    scripts/talker
    scripts/typing_to_string
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-indigo-rocon-apps (0.7.13-1trusty) trusty; urgency=high

  * add image stream app
  * add text to speech app closes #293 <https://github.com/robotics-in-concert/rocon_app_platform/issues/293>
  * add install rule for typing to string script closes #294 <https://github.com/robotics-in-concert/rocon_app_platform/issues/294>
  * [rocon_apps] delivery rapp moved out.
  * add typing to string launch file
  * renaming the script
  * add commander
  * [rocon_apps] next iteration of the delivery rapp interface.
  * [rocon_apps] first iteration of the delivery ancestor rapp.
  * Contributors: Daniel Stonier, Jihoon Lee

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 08 Jul 2015 15:00:00 -0000

ros-indigo-rocon-apps (0.7.12-1trusty) trusty; urgency=high

  * add make a map rapp closes #290 <https://github.com/robotics-in-concert/rocon_app_platform/issues/290>
  * add goal and path
  * Contributors: Jihoon Lee

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 26 May 2015 15:00:00 -0000

ros-indigo-rocon-apps (0.7.11-1trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 05 May 2015 15:00:00 -0000

ros-indigo-rocon-apps (0.7.10-1trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 03 May 2015 15:00:00 -0000

ros-indigo-rocon-apps (0.7.9-1trusty) trusty; urgency=high

  * update waypoint_nav rapp
  * Contributors: Jihoon Lee

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 27 Apr 2015 15:00:00 -0000

ros-indigo-rocon-apps (0.7.8-1trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 22 Mar 2015 15:00:00 -0000

ros-indigo-rocon-apps (0.7.7-1trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 26 Feb 2015 15:00:00 -0000

ros-indigo-rocon-apps (0.7.6-1trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 11 Jan 2015 15:00:00 -0000

ros-indigo-rocon-apps (0.7.5-1trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 07 Jan 2015 15:00:00 -0000

ros-indigo-rocon-apps (0.7.4-1trusty) trusty; urgency=high

  * volume is now configurable
  * Contributors: Jihoon Lee

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 29 Dec 2014 15:00:00 -0000

ros-indigo-rocon-apps (0.7.3-1trusty) trusty; urgency=high

  * migrate teleop implementation rapps to yujin_ocs
  * add waypoint navigation app in package.xml
  * [rocon_apps] waypoint navigation meta-rapp.
  * Contributors: Daniel Stonier, Jihoon Lee

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 20 Nov 2014 15:00:00 -0000

ros-indigo-rocon-apps (0.7.2-1trusty) trusty; urgency=high

  * type information added
  * install chirp_apps, icons, and talker script
  * remove rocon_bubble_icons dependency
  * relative path rapps
  * cleanup teleop rapp and enable video_teleop virtual rapp
  * disable robot teleop and video teleop until resolving capabilitiy
  * update rapp description
  * merging changes
  * postfix for chirp apss
  * rename angry_cat to angry_cat_chirp
  * multiple chirp working
  * have robot_teleop and video teleop
  * Merge branch 'indigo' into teleop_rapp_anchestor
  * Explain defaults
  * Add defaults
  * Add rocon license
  * Remove Willow Garage license
  * parses parameters from file
  * launch args for public parameters
  * configurable talker
  * 0.7.1
  * configurable talker
  * rocon_apps: splits teleop rapp into virtual and implementation rapp
  * rocon_apps: implements teleop rapp anchestor
  * Contributors: Daniel Stonier, Jihoon Lee, Kent Sommer, Marcus Liebhardt

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 24 Aug 2014 15:00:00 -0000

ros-indigo-rocon-apps (0.7.0-1trusty) trusty; urgency=high

  * added local index generator.
  * remove legacy pairing information (now handled by rocon_interactions <http://wiki.ros.org/rocon_interactions>).
  * new icons, new teleop ancestor rapp.
  * upgrade from tuples to rocon uri's for compatibility checks.
  * rename interface into public_interface
  * remove required from chirp launcher - creates alot of bleeding when it naturally dies!
  * make use of required roslaunch tag in rapps, closes #127 <https://github.com/robotics-in-concert/rocon_app_platform/issues/127>.
  * rapps now loading from package manifest exports instead of rapp lists, #121 <https://github.com/robotics-in-concert/rocon_app_platform/issues/121>.
  * updated maintainers and authors.
  * capability suport
  * limit sharing of the listener.
  * share option for infinite shares, closes #94 <https://github.com/robotics-in-concert/rocon_app_platform/issues/94>
  * deprecate the old platform info message, #88 <https://github.com/robotics-in-concert/rocon_app_platform/issues/88>
  * capability integration: adds retrievel of available capabilities from the server
  * Contributors: Daniel Stonier, Dirk Thomas, Esteve Fernandez, Jihoon Lee, Marcus Liebhardt

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 05 May 2014 15:00:00 -0000

ros-indigo-rocon-apps (0.6.1-1trusty) trusty; urgency=high

  * don't delete listener - chatter_concert uses it.

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 10 Sep 2013 15:00:00 -0000

ros-indigo-rocon-apps (0.5.4-1trusty) trusty; urgency=high

  * add rospy_tutorials as dependency of rocon_apps

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 06 Aug 2013 15:00:00 -0000

ros-indigo-rocon-apps (0.5.3-1trusty) trusty; urgency=high

  * chirp became catkin compatible

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 21 Jul 2013 15:00:00 -0000

ros-indigo-rocon-apps (0.5.2-1trusty) trusty; urgency=high

  * remove ambiguous parameters.
  * listener android app moved to android_apps repo.
  * pairing clients infra.
  * new icons

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 16 Jul 2013 15:00:00 -0000

ros-indigo-rocon-apps (0.2.0-1trusty) trusty; urgency=high

  * install icons.
  * .app -> .rapp
  * updating jihoon email
  * no more concert client

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 05 Feb 2013 04:18:00 -0000



=== debian/control ===
Source: ros-indigo-rocon-apps
Section: misc
Priority: extra
Maintainer: Daniel Stonier <d.stonier@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin
Homepage: http://wiki.ros.org/rocon_apps
Standards-Version: 3.9.2

Package: ros-indigo-rocon-apps
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-gateway-msgs, ros-indigo-rocon-app-manager-msgs, ros-indigo-roslib, ros-indigo-rospy, ros-indigo-rospy-tutorials, ros-indigo-topic-tools
Description: Core rocon apps for use with the appmanager and rocon concert.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-rocon-apps//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
